Package org.apache.felix.http.javaxwrappers

# Class ServletWrapper

java.lang.Object
org.apache.felix.http.javaxwrappers.ServletWrapper

All Implemented Interfaces:
  `javax.servlet.Servlet`

public class ServletWrapper extends Object implements javax.servlet.Servlet
Servlet wrapper

## Constructor Summary

Constructors
Constructor
Description
`ServletWrapper(@NotNull jakarta.servlet.Servlet servlet)`
Create new servlet

## Method Summary

Modifier and Type
Method
Description
`void`
`destroy()`
`@NotNull jakarta.servlet.Servlet`
`getServlet()`
Get the wrapped servlet
`javax.servlet.ServletConfig`
`getServletConfig()`
`String`
`getServletInfo()`
`void`
`init(javax.servlet.ServletConfig config)`
`void`
`service(javax.servlet.ServletRequest req, javax.servlet.ServletResponse res)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ServletWrapper

public ServletWrapper(@NotNull @NotNull jakarta.servlet.Servlet servlet)
Create new servlet

Parameters:
  `servlet` - wrapped servlet

## Method Details

### init

public void init(javax.servlet.ServletConfig config) throws javax.servlet.ServletException

Specified by:
  `init` in interface `javax.servlet.Servlet`
Throws:
  `javax.servlet.ServletException`

### getServletConfig

public javax.servlet.ServletConfig getServletConfig()

Specified by:
  `getServletConfig` in interface `javax.servlet.Servlet`

### service

public void service(javax.servlet.ServletRequest req, javax.servlet.ServletResponse res) throws javax.servlet.ServletException, IOException

Specified by:
  `service` in interface `javax.servlet.Servlet`
Throws:
  `javax.servlet.ServletException`
  `IOException`

### getServletInfo

public String getServletInfo()

Specified by:
  `getServletInfo` in interface `javax.servlet.Servlet`

### destroy

public void destroy()

Specified by:
  `destroy` in interface `javax.servlet.Servlet`

### getServlet

@NotNull public @NotNull jakarta.servlet.Servlet getServlet()
Get the wrapped servlet

Returns:
  The servlet